## Class TXmlTransform

Description

TXmlTransform class

TXmlTransform uses the PHP's XSL extension to perform XSL transformations using the libxslt library.

To associate an XML style sheet with TXmlTransform set the TransformPath property to the namespace or path to the style sheet or set the TransformContent property to the XML style sheet data as a string.

To associate the XML data to be transformed set the DocumentPath property to the namespace or path to the XML document or set the DocumentContent property to the XML data as a string.

To add additional parameters to the transformation process you can use the Parameters property.

- version: $Id: TControl.php 2434 2008-04-18 09:47:05Z mikl $
- since: 3.1
- author: Knut Urdalen <knut.urdalen@gmail.com>
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TXmlTransform.php (line 37)

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TXmlTransform

Class Constant Summary
EXT_XML_FILE = '.xml'
EXT_XSL_FILE = '.xsl'
Method Summary
TXmlTransform __construct ()
string getDocumentContent ()
string getDocumentPath ()
TAttributeCollection getParameters ()
string getTransformContent ()
string getTransformPath ()
void render (THtmlWriter $writer)
void setDocumentContent (string $value)
void setDocumentPath (string $value)
void setTransformContent (string $value)
void setTransformPath (string $value)
Methods
Constructor __construct (line 48)

Constructor

Initializes the TXmlTransform object and ensure that the XSL extension is available

- access: public
- throws: TConfigurationException If XSL extension is not available

TXmlTransform __construct ()

Redefinition of:

TControl::__construct()
  Constructor.

getDocumentContent (line 112)

- return: XML data
- access: public

string getDocumentContent ()
getDocumentPath (line 91)

- return: The path to the XML document. It must be in namespace format.
- access: public

string getDocumentPath ()
getParameters (line 127)

Returns the list of parameters to be applied to the transform.

- return: the list of custom parameters
- access: public

TAttributeCollection getParameters ()
getTransformContent (line 77)

- return: XML style sheet as string
- access: public

string getTransformContent ()
getTransformPath (line 57)

- return: The path to the XML style sheet.
- access: public

string getTransformPath ()
render (line 169)

Performs XSL transformation and render the output.

- access: public

void render (THtmlWriter $writer)

- THtmlWriter $writer: The writer used for the rendering purpose

Redefinition of:

TControl::render()
  Renders the control.

setDocumentContent (line 119)

- access: public

void setDocumentContent (string $value)

- string $value: XML data. If not empty, it takes precedence over DocumentPath.

setDocumentPath (line 99)

- access: public
- throws: TInvalidDataValueException

void setDocumentPath (string $value)

- string $value: Namespace or path to XML document

setTransformContent (line 84)

- access: public

void setTransformContent (string $value)

- string $value: XML style sheet as string

setTransformPath (line 64)

- access: public

void setTransformPath (string $value)

- string $value: The path to the XML style sheet. It must be in namespace format.

#### Inherited Methods

Inherited From TControl

> TControl::__construct()
> TControl::addedControl()
> TControl::addParsedObject()
> TControl::addToPostDataLoader()
> TControl::applyStyleSheetSkin()
> TControl::autoBindProperty()
> TControl::autoDataBindProperties()
> TControl::bindProperty()
> TControl::broadcastEvent()
> TControl::bubbleEvent()
> TControl::clearChildState()
> TControl::clearControlState()
> TControl::clearNamingContainer()
> TControl::clearViewState()
> TControl::convertUniqueIdToClientId()
> TControl::createChildControls()
> TControl::createControlCollection()
> TControl::dataBind()
> TControl::dataBindChildren()
> TControl::dataBindProperties()
> TControl::ensureChildControls()
> TControl::findControl()
> TControl::findControlsByID()
> TControl::findControlsByType()
> TControl::focus()
> TControl::getAdapter()
> TControl::getAllowChildControls()
> TControl::getAttribute()
> TControl::getAttributes()
> TControl::getChildControlsCreated()
> TControl::getClientID()
> TControl::getControls()
> TControl::getControlStage()
> TControl::getControlState()
> TControl::getCustomData()
> TControl::getEnabled()
> TControl::getEnableTheming()
> TControl::getEnableViewState()
> TControl::getHasAdapter()
> TControl::getHasAttributes()
> TControl::getHasChildInitialized()
> TControl::getHasControls()
> TControl::getHasInitialized()
> TControl::getHasLoaded()
> TControl::getHasLoadedPostData()
> TControl::getHasPreRendered()
> TControl::getID()
> TControl::getNamingContainer()
> TControl::getPage()
> TControl::getParent()
> TControl::getRegisteredObject()
> TControl::getSkinID()
> TControl::getSourceTemplateControl()
> TControl::getTemplateControl()
> TControl::getUniqueID()
> TControl::getViewState()
> TControl::getVisible()
> TControl::hasAttribute()
> TControl::initRecursive()
> TControl::isDescendentOf()
> TControl::isObjectRegistered()
> TControl::loadRecursive()
> TControl::loadState()
> TControl::loadStateRecursive()
> TControl::onDataBinding()
> TControl::onInit()
> TControl::onLoad()
> TControl::onPreRender()
> TControl::onUnload()
> TControl::preRenderRecursive()
> TControl::raiseBubbleEvent()
> TControl::registerObject()
> TControl::removeAttribute()
> TControl::removedControl()
> TControl::render()
> TControl::renderChildren()
> TControl::renderControl()
> TControl::saveState()
> TControl::saveStateRecursive()
> TControl::setAdapter()
> TControl::setAttribute()
> TControl::setChildControlsCreated()
> TControl::setControlStage()
> TControl::setControlState()
> TControl::setCustomData()
> TControl::setEnabled()
> TControl::setEnableTheming()
> TControl::setEnableViewState()
> TControl::setID()
> TControl::setPage()
> TControl::setSkinID()
> TControl::setTemplateControl()
> TControl::setViewState()
> TControl::setVisible()
> TControl::trackViewState()
> TControl::traverseChildControls()
> TControl::unbindProperty()
> TControl::unloadRecursive()
> TControl::unregisterObject()
> TControl::__get()

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants
EXT_XML_FILE = '.xml' (line 39)
EXT_XSL_FILE = '.xsl' (line 40)

#### Inherited Constants

Inherited from TControl

> TControl::AUTOMATIC_ID_PREFIX
> TControl::CLIENT_ID_SEPARATOR
> TControl::CS_CHILD_INITIALIZED
> TControl::CS_CONSTRUCTED
> TControl::CS_INITIALIZED
> TControl::CS_LOADED
> TControl::CS_PRERENDERED
> TControl::CS_STATE_LOADED
> TControl::ID_FORMAT
> TControl::ID_SEPARATOR
> TControl::IS_CHILD_CREATED
> TControl::IS_CREATING_CHILD
> TControl::IS_DISABLE_THEMING
> TControl::IS_DISABLE_VIEWSTATE
> TControl::IS_ID_SET
> TControl::IS_SKIN_APPLIED
> TControl::IS_STYLESHEET_APPLIED
> TControl::RF_ADAPTER
> TControl::RF_AUTO_BINDINGS
> TControl::RF_CHILD_STATE
> TControl::RF_CONTROLS
> TControl::RF_CONTROLSTATE
> TControl::RF_DATA_BINDINGS
> TControl::RF_EVENTS
> TControl::RF_NAMED_CONTROLS
> TControl::RF_NAMED_CONTROLS_ID
> TControl::RF_NAMED_OBJECTS
> TControl::RF_SKIN_ID

Documentation generated on Mon, 21 Apr 2008 11:36:53 -0400 by phpDocumentor 1.3.0RC4